#ifndef _TEXTHARMONYTRACK_CPP_
#define _TEXTHARMONYTRACK_CPP_

#include <iostream.h>

#include "textHarmonyTrack.h"
// #include "textMainEditor.h"

#include "prMainEditor.h"
#include "song.h"
#include "track.h"

// extern PrMainEditor * mainEditor;
extern Song * sonG;

TextHarmonyTrack::TextHarmonyTrack(Track * tr)
  : _track(tr), _hidden(false)
{
}

void TextHarmonyTrack::erase() {

}

void TextHarmonyTrack::update(bool menu) {
  _track->flush("> ");
}

void TextHarmonyTrack::hide() {
  _hidden = true;
}

void TextHarmonyTrack::show() {
  _hidden = false;
}

#endif
